package com.huimv.eartag2.manage2.service.impl;

import com.alibaba.fastjson.JSONArray;
import com.alibaba.fastjson.JSONObject;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.huimv.eartag2.common.utils.DateUtil;
import com.huimv.eartag2.common.utils.Result;
import com.huimv.eartag2.common.utils.ResultCode;
import com.huimv.eartag2.manage2.pojo.EartagAbnormalAlarm;
import com.huimv.eartag2.manage2.mapper.EartagAbnormalAlarmMapper;
import com.huimv.eartag2.manage2.service.EartagAbnormalAlarmService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.text.ParseException;
import java.util.List;
import java.util.Map;

/**
 * <p>
 *  服务实现类
 * </p>
 *
 * @author zn
 * @since 2022-08-30
 */
@Service
public class EartagAbnormalAlarmServiceImpl extends ServiceImpl<EartagAbnormalAlarmMapper, EartagAbnormalAlarm> implements EartagAbnormalAlarmService {
    @Autowired
    private EartagAbnormalAlarmMapper eartagAbnormalAlarmMapper;
    @Override
    public Result getEarTemWarning(Map<String, Object> paramsMap) throws ParseException {
        DateUtil dateUtil = new DateUtil();
        String farmCode = paramsMap.get("areaId")+"";
        java.sql.Date todayDate = new java.sql.Date(new java.util.Date().getTime());
        QueryWrapper<EartagAbnormalAlarm> queryWrapper = new QueryWrapper();
        queryWrapper.eq("farm_code",farmCode);
        //-测试
//        queryWrapper.eq("add_date","2022-08-22");
        queryWrapper.eq("add_date",todayDate);
        queryWrapper.eq("alarm_from","2");
        queryWrapper.eq("alarm_type","2");
        queryWrapper.orderByDesc("add_time");
        List<EartagAbnormalAlarm> eartagAbnormalAlarmList =  eartagAbnormalAlarmMapper.selectList(queryWrapper);
        JSONArray newJa = new JSONArray();
        for(EartagAbnormalAlarm eartagAbnormalAlarm:eartagAbnormalAlarmList){
            JSONObject newJo = new JSONObject();
            newJa.add(newJo);
            newJo.put("addTime",dateUtil.formatDatetimeText(eartagAbnormalAlarm.getAddTime()));
            newJo.put("content",eartagAbnormalAlarm.getContent());
        }
        return new Result(ResultCode.SUCCESS,newJa);
    }
}
